Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView Class Reference

Section value object visitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView:

## Public Member Functions
| __construct (LocationService $locationService, ContentService $contentService)
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $locationService
| $contentService
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| $requestParser
| $router
| $templateRouter

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...

## Detailed Description

Section value object visitor.

Definition at line 23 of file Output/ValueObjectVisitor/RestExecutedView.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView::__construct | ( | LocationService | $locationService,
|  | ContentService | $contentService
| ) |  |

Parameters

  \eZ\Publish\API\Repository\LocationService | $locationService |
  \eZ\Publish\API\Repository\ContentService | $contentService |

Definition at line 43 of file Output/ValueObjectVisitor/RestExecutedView.php.

References eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView\$contentService, and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView\$locationService.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView::$contentService
| protected

Definition at line 37 of file Output/ValueObjectVisitor/RestExecutedView.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView\__construct().

## ◆ $locationService

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView::$locationService
| protected

Definition at line 30 of file Output/ValueObjectVisitor/RestExecutedView.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\RestExecutedView\__construct().

The documentation for this class was generated from the following file:

- Output/ValueObjectVisitor/RestExecutedView.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.